## org.pentaho.reporting.libraries.repository
Class LibRepositoryInfo

    java.lang.Object
      ProjectInformation
          org.pentaho.reporting.libraries.repository.LibRepositoryInfo

    public class LibRepositoryInfo

extends ProjectInformation

The LibRepositoryInfo class contains all dependency information and some common information like version, license and contributors about the library itself.

Author:
  Thomas Morgner

Method Summary
`static ProjectInformation` `getInstance()` Returns the singleton instance of the ProjectInformation-class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ProjectInformation getInstance()

  Returns the singleton instance of the ProjectInformation-class.

  Returns:
    the singleton ProjectInformation.